# $Revision: 1.21 $, $Date: 2010/11/27 13:23:35 $
Summary:	xcalc application - scientific calculator for X
Summary(pl.UTF-8):	Aplikacja xcalc - kalkulator naukowy dla X
Name:		xorg-app-xcalc
Version:	1.0.4.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xcalc-%{version}.tar.bz2
# Source0-md5:	052c59f7d917b1302e7142bbd888d808
Source1:	xcalc.desktop
Source2:	xcalc.png
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xcalc is a scientific calculator desktop accessory that can emulate a
TI-30 or an HP-10C.

%description -l pl.UTF-8
xcalc to naukowy kalkulator dostępny na pulpicie, potrafiący emulować
TI-30 lub HP-10C.

%prep
%setup -q -n xcalc-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xcalc.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xcalc.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xcalc
%{_datadir}/X11/app-defaults/XCalc
%{_datadir}/X11/app-defaults/XCalc-color
%{_desktopdir}/xcalc.desktop
%{_pixmapsdir}/xcalc.png
%{_mandir}/man1/xcalc.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xcalc.spec,v $
Revision 1.21  2010/11/27 13:23:35  qboosh
- updated to 1.0.4.1

Revision 1.20  2010/05/26 20:58:59  qboosh
- updated to 1.0.3
- removed obsolete xaw patch

Revision 1.19  2008/11/15 21:06:30  arekm
- rel 4; xaw fix

Revision 1.18  2008/11/15 19:46:45  arekm
- release 3

Revision 1.17  2008/11/07 20:51:03  arekm
- release 2

Revision 1.16  2007/08/21 22:24:49  qboosh
- real descs from man page

Revision 1.15  2007/08/21 18:43:40  arekm
- up to 1.0.2

Revision 1.14  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.12  2006/10/15 15:28:59  qboosh
- use individual dir, more verbose files, release 1

Revision 1.11  2006/02/07 13:54:52  qboosh
- merged xcalc.{desktop,png} from monolith

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/12 13:51:06  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 14:13:56  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 22:47:50  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 19:20:10  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xcalc-man.patch
- added BR: libXaw-devel
- release 0.02

* Sun Aug  7 2005 20:39:16  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
